@echo on
REM Qualcomm Wireless Driver
CLS
setlocal enabledelayedexpansion

:: BatchGotAdmin
:-------------------------------------
REM  --> Check for permissions
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"

REM --> If error flag set, we do not have admin.
if '%errorlevel%' NEQ '0' (
    echo Requesting administrative privileges...
    goto UACPrompt
) else ( goto gotAdmin )

:UACPrompt
    echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
    echo UAC.ShellExecute "%~s0", "", "", "runas", 1 >> "%temp%\getadmin.vbs"

    "%temp%\getadmin.vbs"
    exit /B

:gotAdmin
    if exist "%temp%\getadmin.vbs" ( del "%temp%\getadmin.vbs" )
    pushd "%CD%"
    CD /D "%~dp0"
:--------------------------------------

:: Install driver
PUSHD %CD%
cd /d %~dp0
pnputil.exe /add-driver *.inf /install /subdirs
if %errorlevel% equ 3010 (
	echo ERROR_SUCCESS_REBOOT_REQUIRED
	goto end
)
if %errorlevel% equ 1641 (
	echo ERROR_SUCCESS_REBOOT_INITIATED
	goto end 
)
if %errorlevel% equ 259 (
	echo Driver installed or not better then current 
	goto end 
)
REM Finish
Echo Done with undefined error code.%errorlevel%
:end
POPD